List a campaign's deliveries
curl --request GET \
--url https://galinum.com/api/v1/campaigns/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://galinum.com/api/v1/campaigns/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://galinum.com/api/v1/campaigns/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/campaigns/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/campaigns/{id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/campaigns/{id}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/campaigns/{id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"id": "del_55911a77-b793-4be8-992b-25b706520597",
"endUserId": "eu_9b1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"externalUserId": "user_123",
"variantId": "var_37705a49-52c6-4577-aeed-665099a1e13d",
"variantName": "A",
"state": "queued",
"queuedAt": 123,
"sentAt": 123,
"deliveredAt": 123,
"shownAt": 123,
"openedAt": 123,
"clickedAt": 123,
"dismissedAt": 123,
"bouncedAt": 123,
"complainedAt": 123,
"unsubscribedAt": 123,
"convertedAt": 123
}
],
"total": 412,
"page": 1,
"pageCount": 9
}{
"error": "userId is required"
}{
"error": "Unauthorized"
}{
"error": "<string>"
}{
"error": "Too many requests"
}{
"error": "Could not identify user"
}Campaigns
List a campaign's deliveries
Returns the campaign’s per-user delivery feed (who received which variant, in what state), newest first.
GET
/
api
/
v1
/
campaigns
/
{id}
/
deliveries
List a campaign's deliveries
curl --request GET \
--url https://galinum.com/api/v1/campaigns/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://galinum.com/api/v1/campaigns/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://galinum.com/api/v1/campaigns/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/campaigns/{id}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/campaigns/{id}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://galinum.com/api/v1/campaigns/{id}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/campaigns/{id}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deliveries": [
{
"id": "del_55911a77-b793-4be8-992b-25b706520597",
"endUserId": "eu_9b1f2c3d-4e5f-6a7b-8c9d-0e1f2a3b4c5d",
"externalUserId": "user_123",
"variantId": "var_37705a49-52c6-4577-aeed-665099a1e13d",
"variantName": "A",
"state": "queued",
"queuedAt": 123,
"sentAt": 123,
"deliveredAt": 123,
"shownAt": 123,
"openedAt": 123,
"clickedAt": 123,
"dismissedAt": 123,
"bouncedAt": 123,
"complainedAt": 123,
"unsubscribedAt": 123,
"convertedAt": 123
}
],
"total": 412,
"page": 1,
"pageCount": 9
}{
"error": "userId is required"
}{
"error": "Unauthorized"
}{
"error": "<string>"
}{
"error": "Too many requests"
}{
"error": "Could not identify user"
}Authorizations
secretKeyhostedAgentKey
Your project's secret key (pk_…, without the pub segment). Server-side only — never ship it to a browser. Get it from Settings → Projects in the dashboard.
Path Parameters
Maximum string length:
128Query Parameters
Only return deliveries in this state. frequency_capped is a permanent campaign-email skip caused by the project recipient's rolling 24-hour limit.
Available options:
queued, sending, retryable, frequency_capped, sent, delivered, shown, opened, clicked, dismissed, bounced, complained, unsubscribed, failed, converted Page number.
Required range:
x >= 1Items per page (max 100).
Required range:
1 <= x <= 100